Page MenuHomePhabricator

DejaVu Sans font renders incorrectly in SVG thumbnails
Closed, ResolvedPublic

Description

Author: le.korrigan

Description:
There was a problem with the image http://commons.wikimedia.org/wiki/File:Haiti_topographic_map-fr.svg, where the font used everywhere was DejaVu Sans Condensed, and the font DejaVu Sans was used for the legend of the altitudes (the leftmost box).

As you can see in the "file history" on this page, on the bottom thumbnail, the thumbnail rendered incorrectly, with the text in DejaVu Sans creating large black areas, going outside of the box.

Changing the font to DejaVu Sans Condensed solved the problem, as can be seen again in the file history, the top thumbnail.

Maybe it is a problem with font scaling? This should probably be addressed as DejaVu Sans is a fairly standard font, used now for replacing Arial.

Thanks.


Version: unspecified
Severity: normal
URL: http://commons.wikimedia.org/wiki/File:Haiti_topographic_map-fr.svg
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=63206
https://bugzilla.wikimedia.org/show_bug.cgi?id=63703

Details

Reference
bz17845

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:30 PM
bzimport set Reference to bz17845.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Mar 7 2009, 7:05 PM

le.korrigan wrote:

Note that, as far as I have seen, this happens with all images using DejaVu Sans, and it happens after a certain level of thumbnailing (ie happens only for thumbnails about 120px wide). See for example http://fr.wikipedia.org/wiki/Fichier:Serbia_roadmap.svg and http://fr.wikipedia.org/wiki/Fichier:Map_of_Nauru_topo-fr.svg.

camjsb7j9g wrote:

I don't know if this helps but I have very small SVG files (14 KB) that demonstrate bad rendering of DejaVu fonts and I posted details at https://bugzilla.wikimedia.org/show_bug.cgi?id=8898 and at http://commons.wikimedia.org/wiki/Commons:Graphics_village_pump#Wikimedia_renders_Deja_and_Liberation_fonts_badly

I see problems even at large thumbnail sizes, for example, see the text "Tethers" in all renderings (500px, 1000px and 2000px) at

http://commons.wikimedia.org/wiki/File:Ikaros_solar_sail_key.svg

TheDJ added a comment.Dec 4 2011, 9:32 PM

The original issue that was reported here seems partly fixed after the latest librsvg update on the servers.

The black box effect (due to font scaling ?) has seemed to have disappeared. At lower resolutions, it seems the text still fairs outside of the legend box. There are also still issues with spacing between the glyphs.

weskaggs wrote:

I have encountered apparently the same bug for http://commons.wikimedia.org/wiki/File:NSdiagram.svg, which used the DejaVu Sans Condensed font -- the png thumbnails render incorrectly at all resolutions.

  • Bill

It seems this problem is now fixed.

camjsb7j9g wrote:

File:NSdiagram.svg revision showing font rendering issue

Copied from http://upload.wikimedia.org/wikipedia/commons/archive/5/55/20121015230649!NSdiagram.svg to show that mediawiki still apparently does not render certain fonts correctly. See the text in [http://commons.wikimedia.org/wiki/File:NSdiagram_unpathed.svg] overflow the coloured boxes when displayed by mediawiki, but they display differently when the SVG is opened in Firefox 19.0 or Opera 12.14. The overflowing behaviour seen in the svg.png thumbnails varies with each different size.

My Firefox's default font is set to DejaVu Sans and under Advanced: "Allow pages to choose their own fonts". My Opera's default font is set to DejaVu Sans, under Advanced/Content/Style Options/Presentation Modes: "My fonts and colours" is unchecked in Author mode, which is the default mode. It maybe relevant that my system has DejaVu Sans but not DejaVu Sans Condensed that this SVG specifes, as the appearance is different again when viewed in Inkscape 0.47.

Attached:

camjsb7j9g wrote:

SVG with DejaVu Sans and Liberation Sans, the latter with kerning issues in mediawiki

Copied from [http://commons.wikimedia.org/wiki/File:Ikaros_solar_sail_key_liberation_sans.svg], this SVG contains both DejaVu Sans for the numerals and Liberation Sans for the text. The text shows kerning errors in mediawiki's .svg.png thumbnails of various sizes.

Firefox 19.0 and Opera 12.14 display this SVG natively and as far as I can see, identical to how Inkscape 0.47 displays it.

Attached:

camjsb7j9g wrote:

mixed DejaVu Sans and Liberation Sans fonts showing problems

Another example with problems from both DejaVu Sans and Liberations Sans. I changed the "Instruments" text from Liberations Sans to DejaVu Sans. Copied from [http://commons.wikimedia.org/wiki/File:Ikaros_solar_sail_key_liberation_and_dejavu_sans.svg]. See details at [https://bugzilla.wikimedia.org/attachment.cgi?id=11876&action=edit].

Attached:

camjsb7j9g wrote:

(In reply to comment #8)

Created attachment 11877 [details]

I typoed: "Liberations Sans" should read "Liberation Sans".
Also, I'm reopening as it does not appear fully fixed to me.

Attached:

brion added a comment.Sep 19 2013, 3:15 PM

Switching to Wikimedia/SVG Rendering component.

I've tested something. This bug is strange, it is completely independent from the font family (I've tested much). There are some simple path objects if change them (or remove) the font is correct rendered.

[[File:Ikaros solar sail key liberation sans plain.svg]] - correct with plain path objects
[[File:Ikaros solar sail key plain edited.svg]] - correct without path objects
[[File:Ikaros solar sail key liberation sans.svg]] - incorrect with path objects
[[File:Ikaros solar sail key liberation and dejavu sans.svg]] - incorrect with path objects

Here is a example of a responsible path: <path d="m 187.32394,828.41852 a 83.098595,83.098595 0 1 1 -166.197185,0 83.098595,83.098595 0 1 1 166.197185,0z" transform="matrix(0.06016949,0,0,0.06016949,438.17176,92.436)" fill="#f3dd00"/>

(84user has so much SVG made from his example "Ikaros solar sail key" that it is more confusing)

I've tested with http://tools.wmflabs.org/svgcheck/

So the bug description should be changed?

Comment on attachment 11875
File:NSdiagram.svg revision showing font rendering issue

This case example has a other issue as the other examples. I open bug 63206.

I suggest to close the bug (the actual former problem has been fixed and was closed), since all subsequent examples are completely different causes.
So I suggest to open a new bug report for the very strange path - general text bug.

The later examples do not fit specifically to the former bug description, so I have opened another new bug 63703. There is nothing specified relation to any font property (text only).

Comment on attachment 11875
File:NSdiagram.svg revision showing font rendering issue

this is now bug 63206

Faulty font rendering sans-serif

This attach is from: https://upload.wikimedia.org/wikipedia/commons/thumb/archive/1/1f/20140625103053%21Topographic_map_of_Cape_Verde-de.svg/140px-Topographic_map_of_Cape_Verde-de.svg.png ([[File:Topographic_map_of_Cape_Verde-de.svg]])

SVG generic font family sans-serif (maybe equal Dejavu Sans) renders ugly. Additional there is a strong peak (from the M probably, this could be another more specific bug)

The skew text is the only in sans-serif.

Attached:

Menner added a subscriber: Menner.EditedMay 7 2015, 8:52 PM

Forget this I misunderstood the initial description

Aklapper closed this task as Resolved.Mar 8 2016, 7:42 PM
Aklapper claimed this task.
Aklapper added a subscriber: Aklapper.

This case example has a other issue as the other examples. I open bug 63206.

Convenience link for a Phabricator world: T65206: install package ttf-dejavu-extra on image scalars

I suggest to close the bug (the actual former problem has been fixed and was closed), since all subsequent examples are completely different causes.
So I suggest to open a new bug report for the very strange path - general text bug.

Doing so, and please go ahead! :) (And thanks for your investigation on this one.)